argumentPackages@{ ... }:

let
  defaultPackages = (import <nixpkgs> {}).haskellPackages;
  haskellPackages = defaultPackages // argumentPackages;
in import ./uniworx.nix { inherit (haskellPackages) callPackage; }
